Package org.eclipse.emf.cdo.server.spi.security

# Class InternalSecurityManager.CommitHandler.Factory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.emf.cdo.server.spi.security.InternalSecurityManager.CommitHandler.Factory

All Implemented Interfaces:
  `org.eclipse.net4j.util.factory.IFactory`, `org.eclipse.net4j.util.factory.IFactoryKeyAware`

Direct Known Subclasses:
  `AnnotationHandler.Factory`, `HomeFolderHandler.Factory`

Enclosing interface:
  InternalSecurityManager.CommitHandler

public abstract static class InternalSecurityManager.CommitHandler.Factory extends org.eclipse.net4j.util.factory.Factory
Creates `InternalSecurityManager.CommitHandler` instances.

Since:
  4.3
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`Factory(String type)`

## Method Summary

Modifier and Type
Method
Description
`abstract InternalSecurityManager.CommitHandler`
`create(String description)`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PRODUCT_GROUP

public static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

## Constructor Details

### Factory

public Factory(String type)

## Method Details

### create

public abstract InternalSecurityManager.CommitHandler create(String description) throws org.eclipse.net4j.util.factory.ProductCreationException

Throws:
  `org.eclipse.net4j.util.factory.ProductCreationException`